use "20-345_Data_Tables1-10_Excluding 2.dta"

xtset bank_id quarter_year


////Table 1: Regulatory Office Closures and Summary Statistics////
///Table 1b: Summary statistics///
 //Loan variables//
summ totalloans_to_ta  if t2loans==1, d
summ reloans_to_tl   if t2loans==1, d
summ agriloans_to_tl  if t2loans==1, d
summ ciloans_to_ta    if t2loans==1, d
summ ciloans_to_tl    if t2loans==1, d
summ indivloans_to_tl  if t2loans==1, d
summ indivloans_to_ta  if t2loans==1, d
summ rreloans_to_ta  if t2loans==1, d
summ creloans_to_ta if t2loans==1, d 
//Risk & performance variables//
summ zscore if t2zscore==1, d
summ log_stdevroa if t2zscore==1 , d
summ log_stdevroe if t2zscore==1, d
summ roa_to_stdevroa if t2zscore==1, d
summ roe_to_stdevroe if t2zscore==1, d
summ roa    if t2loans==1, d
summ roe    if t2loans==1, d
//Financial variables//
summ logta    if t2loans==1, d
summ  totaldeposits_to_ta    if t2loans==1, d
summ tier1_to_rwa  if t2loans==1, d
summ equity_to_rwa  if t2loans==1, d
summ lla_to_tl   if t2loans==1, d						
summ  llp_to_tl  if t2loans==1, d
summ  bhc_dummy  if t2loans==1, d
summ  mandatory_audit   if t2loans==1, d
summ audit  if t2loans==1, d
summ badloans_to_tl if t2loans==1, d
summ lco_to_tl  if t2loans==1, d
summ div_to_ta  if t2loans==1 & t10a!=0, d
summ div_to_ni  if t2loans==1 & t10a!=0, d
//Distance variables//
summ distance if t2loans==1, d
summ pctchange_distance if t2loans==1, d
//Accounting variables//
summ   abs_allp_a if t2loans==1, d
summ   pos_allp_a if t2loans==1, d
summ   neg_allp_a  if t2loans==1, d
//County & state variables//
summ  county_percapincome  if t2loans==1, d
summ  county_pop  if t2loans==1, d
summ  county_hhi  if t2loans==1, d
summ  county_popdensity   if t2loans==1, d
summ  state_unempratechange  if t2loans==1, d
summ  state_hpichange  if t2loans==1, d

//Table 1c: Diff. in means pre-closure//
ttest distance if preclosure==1 & t2loans==1, by(treated)
ttest totalloans_to_ta  if preclosure==1 & t2loans==1, by(treated)
ttest  reloans_to_tl   if preclosure==1 & t2loans==1, by(treated)
ttest  agriloans_to_tl  if preclosure==1 & t2loans==1, by(treated)
ttest ciloans_to_tl    if preclosure==1 & t2loans==1, by(treated)
ttest rreloans_to_ta  if preclosure==1 & t2loans==1, by(treated)
ttest creloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ttest  indivloans_to_tl  if preclosure==1 & t2loans==1, by(treated)
ttest zscore if preclosure==1 & t2loans==1, by(treated)
ttest log_stdevroa   if preclosure==1 & t2loans==1 , by(treated)
ttest log_stdevroe   if preclosure==1 & t2loans==1 , by(treated)
ttest roa_to_stdevroa   if preclosure==1 & t2loans==1 , by(treated)
ttest roe_to_stdevroe   if preclosure==1 & t2loans==1, by(treated)
ttest  roa   if preclosure==1 & t2loans==1, by(treated)
ttest  roe   if preclosure==1 & t2loans==1, by(treated)
ttest logta  if preclosure==1 & t2loans==1, by(treated)
ttest  totaldeposits_to_ta    if preclosure==1 & t2loans==1, by(treated)
ttest tier1_to_rwa  if preclosure==1 & t2loans==1, by(treated)
ttest equity_to_rwa  if preclosure==1 & t2loans==1, by(treated)
ttest div_to_ta  if preclosure==1 & t2loans==1 & t10a!=0, by(treated)
ttest div_to_ni  if preclosure==1 & t2loans==1 & t10a!=0, by(treated)
ttest lla_to_tl     if preclosure==1 & t2loans==1, by(treated)
ttest  llp_to_tl  if preclosure==1 & t2loans==1, by(treated)
ttest  mandatory_audit   if preclosure==1 & t2loans==1, by(treated)
ttest audit   if preclosure==1 & t2loans==1, by(treated)
ttest badloans_to_tl if preclosure==1 & t2loans==1, by(treated)
ttest lco_to_tl  if preclosure==1 & t2loans==1, by(treated)
ttest  abs_allp_a  if preclosure==1 & t2loans==1, by(treated)
ttest  neg_allp_a  if preclosure==1 & t2loans==1, by(treated)
ttest  pos_allp_a if preclosure==1 & t2loans==1, by(treated)

 
//Table 1d: Diff. in means changes pre-closure//
//t-1 quarter prior to office closures//			
ranksum chng1qlag_totalloans_to_ta  if preclosure==1 & t2loans==1, by(treated)
ranksum chng1qlag_zscore if preclosure==1 & t2loans==1, by(treated)
ranksum chng1qlag_badloans_to_tl if preclosure==1 & t2loans==1, by(treated)
ranksum chng1qlag_lco_to_tl  if preclosure==1 & t2loans==1, by(treated)
ranksum  chng1qlag_llp_to_tl if preclosure==1 & t2loans==1, by(treated)
ranksum  chng1qlag_neg_allpa  if preclosure==1 & t2loans==1, by(treated)
ranksum  chng1qlag_abs_allpa if preclosure==1 & t2loans==1, by(treated)
ranksum  chng1qlag_pos_allpa if preclosure==1 & t2loans==1, by(treated)
ranksum chng1qlag_div_to_ni if preclosure==1 & t2loans==1 & div_to_ni!=0, by(treated)
ranksum chng1qlag_div_to_ta  if preclosure==1 & t2loans==1 & div_to_ta!=0, by(treated)
ranksum chng1qlag_roa_to_stdevroa   if preclosure==1 & t2loans==1, by(treated)
ranksum chng1qlag_roe_to_stdevroe   if preclosure==1 & t2loans==1, by(treated)
ranksum chng1qlag_tier1_to_rwa  if preclosure==1 & t2loans==1, by(treated)
ranksum chng1qlag_equity_to_rwa  if preclosure==1 & t2loans==1, by(treated)
ranksum chng1qlag_indivloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng1qlag_ciloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng1qlag_creloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng1qlag_rreloans_to_ta  if preclosure==1 & t2loans==1, by(treated)
//t-1 quarter prior to 08-09 financial crisis//	
ranksum chng1qlag_badloans_to_tl if precrisis==1 & t8crisis==1, by(treatedcrisis)
ranksum chng1qlag_lco_to_tl if precrisis==1 & t8crisis==1, by(treatedcrisis)

//t-2 quarters prior to office closures//	
ranksum chng2qlag_totalloans_to_ta  if preclosure==1 & t2loans==1, by(treated)
ranksum chng2qlag_zscore if preclosure==1 & t2loans==1, by(treated)
ranksum chng2qlag_badloans_to_tl if preclosure==1 & t2loans==1, by(treated)
ranksum chng2qlag_lco_to_tl  if preclosure==1 & t2loans==1, by(treated)
ranksum  chng2qlag_llp_to_tl if preclosure==1 & t2loans==1, by(treated)
ranksum  chng2qlag_neg_allpa  if preclosure==1 & t2loans==1, by(treated)
ranksum  chng2qlag_abs_allpa if preclosure==1 & t2loans==1, by(treated)
ranksum  chng2qlag_pos_allpa if preclosure==1 & t2loans==1, by(treated)
ranksum chng2qlag_div_to_ni if preclosure==1 & t2loans==1 & div_to_ni!=0, by(treated)
ranksum chng2qlag_div_to_ta  if preclosure==1 & t2loans==1 & div_to_ta!=0, by(treated)
ranksum chng2qlag_roa_to_stdevroa   if preclosure==1 & t2loans==1, by(treated)
ranksum chng2qlag_roe_to_stdevroe   if preclosure==1 & t2loans==1, by(treated)
ranksum chng2qlag_tier1_to_rwa  if preclosure==1 & t2loans==1, by(treated)
ranksum chng2qlag_equity_to_rwa  if preclosure==1 & t2loans==1, by(treated)
ranksum chng2qlag_indivloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng2qlag_ciloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng2qlag_creloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng2qlag_rreloans_to_ta  if preclosure==1 & t2loans==1, by(treated)
//t-2 quarters prior to 08-09 financial crisis//	
ranksum chng2qlag_badloans_to_tl if precrisis==1 & t8crisis==1, by(treatedcrisis)
ranksum chng2qlag_lco_to_tl if precrisis==1 & t8crisis==1, by(treatedcrisis)

//t-3 quarters prior to office closures//	
ranksum chng3qlag_totalloans_to_ta  if preclosure==1 & t2loans==1, by(treated)
ranksum chng3qlag_zscore if preclosure==1 & t2loans==1, by(treated)
ranksum chng3qlag_badloans_to_tl if preclosure==1 & t2loans==1, by(treated)
ranksum chng3qlag_lco_to_tl  if preclosure==1 & t2loans==1, by(treated)
ranksum  chng3qlag_llp_to_tl if preclosure==1 & t2loans==1, by(treated)
ranksum  chng3qlag_neg_allpa  if preclosure==1 & t2loans==1, by(treated)
ranksum  chng3qlag_abs_allpa if preclosure==1 & t2loans==1, by(treated)
ranksum  chng3qlag_pos_allpa if preclosure==1 & t2loans==1, by(treated)
ranksum chng3qlag_div_to_ni if preclosure==1 & t2loans==1 & div_to_ni!=0, by(treated)
ranksum chng3qlag_div_to_ta  if preclosure==1 & t2loans==1 & div_to_ta!=0, by(treated)
ranksum chng3qlag_roa_to_stdevroa   if preclosure==1 & t2loans==1, by(treated)
ranksum chng3qlag_roe_to_stdevroe   if preclosure==1 & t2loans==1, by(treated)
ranksum chng3qlag_tier1_to_rwa  if preclosure==1 & t2loans==1, by(treated)
ranksum chng3qlag_equity_to_rwa  if preclosure==1 & t2loans==1, by(treated)
ranksum chng3qlag_indivloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng3qlag_ciloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng3qlag_creloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng3qlag_rreloans_to_ta  if preclosure==1 & t2loans==1, by(treated)
//t-3 quarters prior to 08-09 financial crisis//	
ranksum chng3qlag_badloans_to_tl if precrisis==1 & t8crisis==1, by(treatedcrisis)
ranksum chng3qlag_lco_to_tl if precrisis==1 & t8crisis==1, by(treatedcrisis)

//t-4 quarters prior to office closures//	
ranksum chng4qlag_totalloans_to_ta  if preclosure==1 & t2loans==1, by(treated)
ranksum chng4qlag_zscore if preclosure==1 & t2loans==1, by(treated)
ranksum chng4qlag_badloans_to_tl if preclosure==1 & t2loans==1, by(treated)
ranksum chng4qlag_lco_to_tl  if preclosure==1 & t2loans==1, by(treated)
ranksum  chng4qlag_llp_to_tl if preclosure==1 & t2loans==1, by(treated)
ranksum  chng4qlag_neg_allpa  if preclosure==1 & t2loans==1, by(treated)
ranksum  chng4qlag_abs_allpa if preclosure==1 & t2loans==1, by(treated)
ranksum  chng4qlag_pos_allpa if preclosure==1 & t2loans==1, by(treated)
ranksum chng4qlag_div_to_ni if preclosure==1 & t2loans==1 & div_to_ni!=0, by(treated)
ranksum chng4qlag_div_to_ta  if preclosure==1 & t2loans==1 & div_to_ta!=0, by(treated)
ranksum chng4qlag_roa_to_stdevroa   if preclosure==1 & t2loans==1, by(treated)
ranksum chng4qlag_roe_to_stdevroe   if preclosure==1 & t2loans==1, by(treated)
ranksum chng4qlag_tier1_to_rwa  if preclosure==1 & t2loans==1, by(treated)
ranksum chng4qlag_equity_to_rwa  if preclosure==1 & t2loans==1, by(treated)
ranksum chng4qlag_indivloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng4qlag_ciloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng4qlag_creloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng4qlag_rreloans_to_ta  if preclosure==1 & t2loans==1, by(treated)
//t-4 quarters prior to 08-09 financial crisis//
ranksum chng4qlag_badloans_to_tl if precrisis==1 & t8crisis==1, by(treatedcrisis)
ranksum chng4qlag_lco_to_tl if precrisis==1 & t8crisis==1, by(treatedcrisis)

//t-5 quarters prior to office closures//	
ranksum chng5qlag_totalloans_to_ta  if preclosure==1 & t2loans==1, by(treated)
ranksum chng5qlag_zscore if preclosure==1 & t2loans==1, by(treated)
ranksum chng5qlag_badloans_to_tl if preclosure==1 & t2loans==1, by(treated)
ranksum chng5qlag_lco_to_tl  if preclosure==1 & t2loans==1, by(treated)
ranksum  chng5qlag_llp_to_tl if preclosure==1 & t2loans==1, by(treated)
ranksum  chng5qlag_neg_allpa  if preclosure==1 & t2loans==1, by(treated)
ranksum  chng5qlag_abs_allpa if preclosure==1 & t2loans==1, by(treated)
ranksum  chng5qlag_pos_allpa if preclosure==1 & t2loans==1, by(treated)
ranksum chng5qlag_div_to_ni if preclosure==1 & t2loans==1 & div_to_ni!=0, by(treated)
ranksum chng5qlag_div_to_ta  if preclosure==1 & t2loans==1 & div_to_ta!=0, by(treated)
ranksum chng5qlag_roa_to_stdevroa   if preclosure==1 & t2loans==1, by(treated)
ranksum chng5qlag_roe_to_stdevroe   if preclosure==1 & t2loans==1, by(treated)
ranksum chng5qlag_tier1_to_rwa  if preclosure==1 & t2loans==1, by(treated)
ranksum chng5qlag_equity_to_rwa  if preclosure==1 & t2loans==1, by(treated)
ranksum chng5qlag_indivloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng5qlag_ciloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng5qlag_creloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng5qlag_rreloans_to_ta  if preclosure==1 & t2loans==1, by(treated)
//t-5 quarters prior to 08-09 financial crisis//
ranksum chng5qlag_badloans_to_tl if precrisis==1 & t8crisis==1, by(treatedcrisis)
ranksum chng5qlag_lco_to_tl if precrisis==1 & t8crisis==1, by(treatedcrisis)

//t-6 quarters prior to office closures//	
ranksum chng6qlag_totalloans_to_ta  if preclosure==1 & t2loans==1, by(treated)
ranksum chng6qlag_zscore if preclosure==1 & t2loans==1, by(treated)
ranksum chng6qlag_badloans_to_tl if preclosure==1 & t2loans==1, by(treated)
ranksum chng6qlag_lco_to_tl  if preclosure==1 & t2loans==1, by(treated)
ranksum  chng6qlag_llp_to_tl if preclosure==1 & t2loans==1, by(treated)
ranksum  chng6qlag_neg_allpa  if preclosure==1 & t2loans==1, by(treated)
ranksum  chng6qlag_abs_allpa if preclosure==1 & t2loans==1, by(treated)
ranksum  chng6qlag_pos_allpa if preclosure==1 & t2loans==1, by(treated)
ranksum chng6qlag_div_to_ni if preclosure==1 & t2loans==1 & div_to_ni!=0, by(treated)
ranksum chng6qlag_div_to_ta  if preclosure==1 & t2loans==1 & div_to_ta!=0, by(treated)
ranksum chng6qlag_roa_to_stdevroa   if preclosure==1 & t2loans==1, by(treated)
ranksum chng6qlag_roe_to_stdevroe   if preclosure==1 & t2loans==1, by(treated)
ranksum chng6qlag_tier1_to_rwa  if preclosure==1 & t2loans==1, by(treated)
ranksum chng6qlag_equity_to_rwa  if preclosure==1 & t2loans==1, by(treated)
ranksum chng6qlag_indivloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng6qlag_ciloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng6qlag_creloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng6qlag_rreloans_to_ta  if preclosure==1 & t2loans==1, by(treated)
//t-6 quarters prior to 08-09 financial crisis//
ranksum chng6qlag_badloans_to_tl if precrisis==1 & t8crisis==1, by(treatedcrisis)
ranksum chng6qlag_lco_to_tl if precrisis==1 & t8crisis==1, by(treatedcrisis)

//t-7 quarters prior to office closures//	
ranksum chng7qlag_totalloans_to_ta  if preclosure==1 & t2loans==1, by(treated)
ranksum chng7qlag_zscore if preclosure==1 & t2loans==1, by(treated)
ranksum chng7qlag_badloans_to_tl if preclosure==1 & t2loans==1, by(treated)
ranksum chng7qlag_lco_to_tl  if preclosure==1 & t2loans==1, by(treated)
ranksum  chng7qlag_llp_to_tl if preclosure==1 & t2loans==1, by(treated)
ranksum  chng7qlag_neg_allpa  if preclosure==1 & t2loans==1, by(treated)
ranksum  chng7qlag_abs_allpa if preclosure==1 & t2loans==1, by(treated)
ranksum  chng7qlag_pos_allpa if preclosure==1 & t2loans==1, by(treated)
ranksum chng7qlag_div_to_ni if preclosure==1 & t2loans==1 & div_to_ni!=0, by(treated)
ranksum chng7qlag_div_to_ta  if preclosure==1 & t2loans==1 & div_to_ta!=0, by(treated)
ranksum chng7qlag_roa_to_stdevroa   if preclosure==1 & t2loans==1, by(treated)
ranksum chng7qlag_roe_to_stdevroe   if preclosure==1 & t2loans==1, by(treated)
ranksum chng7qlag_tier1_to_rwa  if preclosure==1 & t2loans==1, by(treated)
ranksum chng7qlag_equity_to_rwa  if preclosure==1 & t2loans==1, by(treated)
ranksum chng7qlag_indivloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng7qlag_ciloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng7qlag_creloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng7qlag_rreloans_to_ta  if preclosure==1 & t2loans==1, by(treated)
//t-7 quarters prior to 08-09 financial crisis//
ranksum chng7qlag_badloans_to_tl if precrisis==1 & t8crisis==1, by(treatedcrisis)
ranksum chng7qlag_lco_to_tl if precrisis==1 & t8crisis==1, by(treatedcrisis)

//t-8 quarters prior to office closures//	
ranksum chng8qlag_totalloans_to_ta  if preclosure==1 & t2loans==1, by(treated)
ranksum chng8qlag_zscore if preclosure==1 & t2loans==1, by(treated)
ranksum chng8qlag_badloans_to_tl if preclosure==1 & t2loans==1, by(treated)
ranksum chng8qlag_lco_to_tl  if preclosure==1 & t2loans==1, by(treated)
ranksum  chng8qlag_llp_to_tl if preclosure==1 & t2loans==1, by(treated)
ranksum  chng8qlag_neg_allpa  if preclosure==1 & t2loans==1, by(treated)
ranksum  chng8qlag_abs_allpa if preclosure==1 & t2loans==1, by(treated)
ranksum  chng8qlag_pos_allpa if preclosure==1 & t2loans==1, by(treated)
ranksum chng8qlag_div_to_ni if preclosure==1 & t2loans==1 & div_to_ni!=0, by(treated)
ranksum chng8qlag_div_to_ta  if preclosure==1 & t2loans==1 & div_to_ta!=0, by(treated)
ranksum chng8qlag_roa_to_stdevroa   if preclosure==1 & t2loans==1, by(treated)
ranksum chng8qlag_roe_to_stdevroe   if preclosure==1 & t2loans==1, by(treated)
ranksum chng8qlag_tier1_to_rwa  if preclosure==1 & t2loans==1, by(treated)
ranksum chng8qlag_equity_to_rwa  if preclosure==1 & t2loans==1, by(treated)
ranksum chng8qlag_indivloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng8qlag_ciloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng8qlag_creloans_to_ta if preclosure==1 & t2loans==1, by(treated)
ranksum chng8qlag_rreloans_to_ta  if preclosure==1 & t2loans==1, by(treated)
//t-8 quarters prior to 08-09 financial crisis//
ranksum chng8qlag_badloans_to_tl if precrisis==1 & t8crisis==1, by(treatedcrisis)
ranksum chng8qlag_lco_to_tl if precrisis==1 & t8crisis==1, by(treatedcrisis)

 
//Table 3: Regulatory Office Closures, Bank Lending and Risk-taking//
areg totalloans_to_ta treated##post i.quarter_year i.regoffice_id if t2loans==1, absorb(bank_id) vce(cl regoffice_id)
outreg2 using Table3.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

areg totalloans_to_ta treated##post audit mandatory_audit  roa logta tier1_to_rwa totaldeposits_to_ta county_percapincome county_pop state_unempratechange state_hpichange county_popdensity county_hhi bhc_dummy  i.quarter_year i.regoffice_id  if t2loans==1, absorb(bank_id) vce(cl regoffice_id)
outreg2 using Table3.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe totalloans_to_ta treated##post if t2loans==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table3.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

reghdfe totalloans_to_ta treated##post audit mandatory_audit  roa logta tier1_to_rwa totaldeposits_to_ta county_percapincome county_pop state_unempratechange state_hpichange county_popdensity county_hhi bhc_dummy if t2loans==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table3.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

areg logzscore  treated##post i.quarter_year i.regoffice_id  if t2zscore==1, absorb(bank_id ) vce(cl regoffice_id)
outreg2 using Table3.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

areg logzscore  treated##post audit mandatory_audit  roa logta tier1_to_rwa reloans_to_tl agriloans_to_tl ciloans_to_tl indivloans_to_tl totaldeposits_to_ta totalloans_to_ta county_percapincome county_pop state_unempratechange state_hpichange county_popdensity county_hhi bhc_dummy i.quarter_year i.regoffice_id if t2zscore==1, absorb(bank_id ) vce(cl regoffice_id)
outreg2 using Table3.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe logzscore  treated##post if t2zscore==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table3.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

reghdfe logzscore  treated##post audit mandatory_audit  roa logta tier1_to_rwa reloans_to_tl agriloans_to_tl ciloans_to_tl indivloans_to_tl totaldeposits_to_ta totalloans_to_ta county_percapincome county_pop state_unempratechange state_hpichange county_popdensity county_hhi bhc_dummy if t2zscore==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table3.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)


//Table 4: Regulatory Office Closures and Loan Portfolio//
areg creloans_to_ta  treated##post i.quarter_year i.regoffice_id if t2loans==1, absorb(bank_id ) vce(cl regoffice_id)
outreg2 using Table4.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)
reghdfe creloans_to_ta  treated##post if t2loans==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table4.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

areg rreloans_to_ta  treated##post i.quarter_year i.regoffice_id if t2loans==1, absorb(bank_id ) vce(cl regoffice_id)
outreg2 using Table4.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)
reghdfe rreloans_to_ta  treated##post if t2loans==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table4.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

areg ciloans_to_ta  treated##post i.quarter_year i.regoffice_id if t2loans==1, absorb(bank_id ) vce(cl regoffice_id)
outreg2 using Table4.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)
reghdfe ciloans_to_ta  treated##post if t2loans==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table4.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

areg indivloans_to_ta treated##post i.quarter_year i.regoffice_id if t2loans==1, absorb(bank_id ) vce(cl regoffice_id)
outreg2 using Table4.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)
reghdfe indivloans_to_ta treated##post if t2loans==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table4.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)


//Table 5: Timeline effects and Verification//
//Table 5a: Timeline//

areg totalloans_to_ta treated##closure_tminus1 treated##closure_t treated##closure_tplus1 treated##closure_tplus2 i.quarter_year i.regoffice_id if t2loans==1, absorb(bank_id ) vce(cl regoffice_id)
outreg2 using Table5a.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe totalloans_to_ta treated##closure_tminus1 treated##closure_t treated##closure_tplus1 treated##closure_tplus2 if t2loans==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table5a.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

areg logzscore treated##closure_tminus1 treated##closure_t treated##closure_tplus1 treated##closure_tplus2 i.quarter_year i.regoffice_id  if t2zscore==1, absorb(bank_id ) vce(cl regoffice_id)
outreg2 using Table5a.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe logzscore treated##closure_tminus1 treated##closure_t treated##closure_tplus1 treated##closure_tplus2 if t2zscore==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter)
outreg2 using Table5a.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

//Table 5b: Verification//
//High probability of misclassification pre-closure//
reghdfe totalloans_to_ta treated##post  if t2loans==1 & t5bpre==1 , absorb(bank_id quarter_year regoffice_id) vce(cl regoffice_id)
outreg2 using Table5b.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe totalloans_to_ta treated##post if t2loans==1 & t5bpre==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table5b.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

reghdfe logzscore  treated##post  if t2zscore==1 & t5bpre==1, absorb(bank_id quarter_year regoffice_id) vce(cl regoffice_id)
outreg2 using Table5b.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe logzscore  treated##post if t2zscore==1 & t5bpre==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table5b.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

//High probability of misclassification post-closure//
reghdfe totalloans_to_ta treated##post  if t2loans==1 & t5bpost==1 , absorb(bank_id quarter_year regoffice_id) vce(cl regoffice_id)
outreg2 using Table5b.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe totalloans_to_ta treated##post if t2loans==1 & t5bpost==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table5b.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

reghdfe logzscore  treated##post  if t2zscore==1 & t5bpost==1, absorb(bank_id quarter_year regoffice_id) vce(cl regoffice_id)
outreg2 using Table5b.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe logzscore  treated##post if t2zscore==1 & t5bpost==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table5b.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

//High probability of misclassification pre-closure + post-closure//
reghdfe totalloans_to_ta treated##post  if t2loans==1 & t5bpre==1 & t5bpost==1 , absorb(bank_id quarter_year regoffice_id) vce(cl regoffice_id)
outreg2 using Table5b.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe totalloans_to_ta treated##post if t2loans==1 & t5bpre==1 & t5bpost==1 , absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table5b.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

reghdfe logzscore  treated##post  if t2zscore==1 & t5bpre==1 & t5bpost==1 , absorb(bank_id quarter_year regoffice_id) vce(cl regoffice_id)
outreg2 using Table5b.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe logzscore  treated##post if  t2zscore==1 & t5bpre==1 & t5bpost==1 , absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table5b.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)


//Table 6: Regulatory Office Closures and Increases in Distance to New Office//
//Change % distance//
areg totalloans_to_ta c.pctchange_distance##post i.quarter_year i.regoffice_id   if t2loans==1, absorb(bank_id) vce(cl regoffice_id)
outreg2 using Table6.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe totalloans_to_ta c.pctchange_distance##post if t2loans==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table6.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

areg logzscore  c.pctchange_distance##post   i.quarter_year i.regoffice_id if t2zscore==1 , absorb(bank_id) vce(cl regoffice_id)
outreg2 using Table6.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe logzscore  c.pctchange_distance##post if t2zscore==1 , absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table6.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

///Large change % distance///
areg totalloans_to_ta pctchange_distance_large##post  i.quarter_year i.regoffice_id if t2loans==1, absorb(bank_id) vce(cl regoffice_id)
outreg2 using Table6.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe totalloans_to_ta pctchange_distance_large##post if t2loans==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table6.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

areg logzscore  pctchange_distance_large##post   i.quarter_year i.regoffice_id if t2zscore==1, absorb(bank_id) vce(cl regoffice_id)
outreg2 using Table6.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe logzscore  pctchange_distance_large##post if t2zscore==1 , absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table6.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)
//Small change % distance//
areg totalloans_to_ta pctchange_distance_small##post   i.quarter_year i.regoffice_id if t2loans==1 , absorb(bank_id) vce(cl regoffice_id)
outreg2 using Table6.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe totalloans_to_ta pctchange_distance_small##post if t2loans==1 , absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table6.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

areg logzscore  pctchange_distance_small##post   i.quarter_year i.regoffice_id if t2zscore==1 , absorb(bank_id) vce(cl regoffice_id)
outreg2 using Table6.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe logzscore  pctchange_distance_small##post if  t2zscore==1 , absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table6.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)


//Table 7: Regulatory Office Closures and Bank Capital//
areg tier1_to_rwa treated##post i.quarter_year i.regoffice_id if t2loans==1, absorb(bank_id) vce(cl regoffice_id)
outreg2 using Table7.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe tier1_to_rwa  treated##post if t2loans==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table7.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

areg equity_to_rwa treated##post i.quarter_year i.regoffice_id if t2loans==1, absorb(bank_id) vce(cl regoffice_id)
outreg2 using Table7.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe equity_to_rwa treated##post if t2loans==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table7.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)


//Table 8: Regulatory Office Closures and the Financial Crisis//
reghdfe badloans_to_tl   treatedcrisis##crisis if t8crisis==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table8.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(4) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

reghdfe badloans_to_tl   treatedcrisis##crisis roa audit mandatory_audit  logta tier1_to_rwa reloans_to_tl agriloans_to_tl ciloans_to_tl indivloans_to_tl totaldeposits_to_ta totalloans_to_ta county_percapincome county_pop state_unempratechange state_hpichange county_popdensity county_hhi bhc_dummy if t8crisis==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table8.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(4) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

reghdfe  lco_to_tl  treatedcrisis##crisis if t8crisis==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table8.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(4) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

reghdfe  lco_to_tl  treatedcrisis##crisis roa audit mandatory_audit  logta tier1_to_rwa reloans_to_tl agriloans_to_tl ciloans_to_tl indivloans_to_tl totaldeposits_to_ta totalloans_to_ta county_percapincome county_pop state_unempratechange state_hpichange county_popdensity county_hhi bhc_dummy if t8crisis==1 , absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table8.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(4) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

reghdfe fail0809   treatedcrisis##crisis if t8crisis==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table8.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(4) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

reghdfe fail0809   treatedcrisis##crisis roa audit mandatory_audit  logta tier1_to_rwa reloans_to_tl agriloans_to_tl ciloans_to_tl indivloans_to_tl totaldeposits_to_ta totalloans_to_ta county_percapincome county_pop state_unempratechange state_hpichange county_popdensity county_hhi bhc_dummy if t8crisis==1 , absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table8.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(4) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)


//Table 9: Regulatory Office Closures and Bank Accounting Practices/
areg llp_to_tl c.change_badloans_to_tl_plus1##i.treated##i.post  c.change_badloans_to_tl##i.treated##i.post  c.change_badloans_to_tl_minus1##i.treated##i.post i.quarter_year i.regoffice_id  if t2loans==1, absorb(bank_id) vce(cl regoffice_id)
outreg2 using Table9.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe llp_to_tl c.change_badloans_to_tl_plus1##i.treated##i.post  c.change_badloans_to_tl##i.treated##i.post  c.change_badloans_to_tl_minus1##i.treated##i.post if t2loans==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table9.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

areg  abs_allp_a treated##post i.quarter_year i.regoffice_id if t2loans==1, absorb(bank_id) vce(cl regoffice_id)
outreg2 using Table9.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe  abs_allp_a treated##post if t2loans==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table9.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

areg  neg_allp_a treated##post  i.quarter_year i.regoffice_id  if t2loans==1, absorb(bank_id) vce(cl regoffice_id)
outreg2 using Table9.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe  neg_allp_a treated##post if t2loans==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table9.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

areg  pos_allp_a treated##post  i.quarter_year i.regoffice_id  if t2loans==1, absorb(bank_id) vce(cl regoffice_id)
outreg2 using Table9.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)



//Table 10: Regulatory Office Closures, Dividend Payouts and Risk-Adjusted Performance/
//Table 10a: Payouts/
areg div_to_ni treated##post i.quarter_year i.regoffice_id  if t2loans==1 & t10a!=0, absorb(bank_id) vce(cl regoffice_id)
outreg2 using Table10a.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe div_to_ni  treated##post if t2loans==1  & t10a!=0, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table10a.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

areg div_to_ta treated##post i.quarter_year i.regoffice_id  if t2loans==1 & t10a!=0 , absorb(bank_id) vce(cl regoffice_id)
outreg2 using Table10a.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe div_to_ta treated##post if t2loans==1  & t10a!=0, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table10a.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)
//Table 10b: Risk-adjusted returns/
areg roa_to_stdevroa  treated##post i.quarter_year i.regoffice_id if t2zscore==1, absorb(bank_id) vce(cl regoffice_id)
outreg2 using Table10b.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe roa_to_stdevroa  treated##post if t2zscore==1 , absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_id)
outreg2 using Table10b.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)

areg roe_to_stdevroe  treated##post i.quarter_year i.regoffice_id  if t2zscore==1  , absorb(bank_id) vce(cl regoffice_id)
outreg2 using Table10b.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, Quarter-Year FE, Yes, Reg Office FE, Yes)

reghdfe roe_to_stdevroe   treated##post if t2zscore==1, absorb(i.bank_id i.county_quarter i.regofficeid_quarter) vce(cl regoffice_i)
outreg2 using Table10b.XLS, addstat(Adj. R-squared, e(r2_a)) bracket nolabel tstat dec(3) addtext(Bank FE, Yes, County x Year-Quarter FE, Yes, Reg Office x Year-Quarter FE, Yes)
